> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session Replay

> Returns page metadata for a session replay, including timing information and the URL of each page's HLS playlist.



## OpenAPI

````yaml get /v1/sessions/{id}/replays
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/sessions/{id}/replays:
    get:
      summary: Get Session Replay
      description: >-
        Returns page metadata for a session replay, including timing information
        and the URL of each page's HLS playlist.
      operationId: Sessions_getReplay
      parameters:
        - name: id
          in: path
          description: Session ID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  pages:
                    type: array
                    items:
                      $ref: '#/components/schemas/ReplayPage'
                  pageCount:
                    type: integer
                required:
                  - pages
                  - pageCount
components:
  schemas:
    ReplayPage:
      type: object
      properties:
        pageId:
          type: string
        url:
          type: string
        startTimeMs:
          type: integer
        endTimeMs:
          type: integer
      required:
        - pageId
        - url
        - startTimeMs
        - endTimeMs
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````